KDE 4.2 PyKDE API Reference

- KDE's Python API

# FileCopyJob Class Reference

`from PyKDE4.kio import *`

Inherits: KIO.Job → KCompositeJob → KJob → QObject
Namespace: KIO

## Detailed Description

## Signals

| mimetype (KIO.Job job, QString type)

## Methods

| __init__ (self, FileCopyJobPrivate dd)
| __init__ (self)
KUrl | destUrl (self)
bool | doResume (self)
bool | doSuspend (self)
| mimetype (self, KIO.Job job, QString type)
| setModificationTime (self, QDateTime mtime)
| setSourceSize (self, KIO.filesize_t size)
| slotResult (self, KJob job)
KUrl | srcUrl (self)

## Method Documentation

__init__ | ( | self, |
|  | FileCopyJobPrivate | dd
| ) |  |  |

__init__ | ( |  | self ) |

KUrl destUrl | ( |  | self ) |

Returns the destination URL.

Returns:
  the destination URL

bool doResume | ( |  | self ) |

bool doSuspend | ( |  | self ) |

mimetype | ( | self, |
|  | KIO.Job | job,
|  | QString | type
| ) |  |  |

Mimetype determined during a file copy. This is never emitted during a move, and might not be emitted during a file copy, depending on the slave. But when a get and a put are being used (which is the common case), this signal forwards the mimetype information from the get job.

Parameters:

  | job | the job that emitted this signal
  | type | the mime type

Signal syntax:
  `QObject.connect(source, SIGNAL("mimetype(Job*, const QString&)"), target_slot)`

setModificationTime | ( | self, |
|  | QDateTime | mtime
| ) |  |  |

Sets the modification time of the file

Note that this is ignored if a direct copy (SlaveBase.copy) can be done, in which case the mtime of the source is applied to the destination (if the protocol supports the concept).

setSourceSize | ( | self, |
|  | KIO.filesize_t | size
| ) |  |  |

If you know the size of the source file, call this method to inform this job. It will be displayed in the "resume" dialog.

Parameters:

  | size | the size of the source file

slotResult | ( | self, |
|  | KJob | job
| ) |  |  |

Called whenever a subjob finishes.

Parameters:

  | job | the job that emitted this signal

KUrl srcUrl | ( |  | self ) |

Returns the source URL.

Returns:
  the source URL